ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
filesystem.h File Reference

Boost.Filesystem compatibility. More...

`#include <ome/common/config.h>`
`#include <boost/filesystem/operations.hpp>`
`#include <boost/filesystem/path.hpp>`
Include dependency graph for filesystem.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Functions
boost::filesystem::path | ome::common::absolute (const boost::filesystem::path &p, const boost::filesystem::path &base=boost::filesystem::current_path())
| Get an absolute path. More...
boost::filesystem::path | ome::common::canonical (const boost::filesystem::path &p, const boost::filesystem::path &base=boost::filesystem::current_path(), boost::system::error_code *ec=0)
| Get a canonical path. More...
boost::filesystem::path | ome::common::make_relative (boost::filesystem::path from, boost::filesystem::path to)
| Make a relative path. More...

## Detailed Description

Boost.Filesystem compatibility.

This header works around the lack of certain functions in older versions of the Boost.Filesystem library.